## python-asyncclick 8.1.7.0+async

=== Makefile ===
#!/usr/bin/make -f

PACKAGE=asyncclick
ifneq ($(wildcard /usr/share/sourcemgr/make/py),)
include /usr/share/sourcemgr/make/py
# availabe via http://github.com/smurfix/sourcemgr

else
%:
	@echo "Please use 'python setup.py'."
	@exit 1
endif

=== debian/changelog ===
python-asyncclick (8.1.7.0+async-3) unstable; urgency=medium

  * Team upload.
  * source-only upload.

 -- Emmanuel Arias <eamanu@debian.org>  Tue, 09 Jan 2024 17:42:16 -0300

python-asyncclick (8.1.7.0+async-2) unstable; urgency=medium

  * Team upload

  [ Carles Pina i Estany ]
  * Add 01-fix-readme-rst-typos.diff that ix a typo

  [ Emmanuel Arias ]
  * source-only upload.

 -- Emmanuel Arias <eamanu@debian.org>  Mon, 18 Dec 2023 15:52:28 -0300

python-asyncclick (8.1.7.0+async-1) unstable; urgency=medium

  * Initial release. (Closes: #1057334)

 -- Carles Pina i Estany <carles@pina.cat>  Sun, 03 Dec 2023 16:06:28 +0000

=== debian/control ===
Source: python-asyncclick
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Carles Pina i Estany <carles@pina.cat>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-all,
               python3-anyio <!nocheck>,
               python3-pytest <!nocheck>,
               python3-setuptools,
               python3-setuptools-scm
Standards-Version: 4.6.2
Homepage: https://github.com/python-trio/asyncclick
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-asyncclick
Vcs-Git: https://salsa.debian.org/python-team/packages/python-asyncclick.git

Package: python3-asyncclick
Architecture: all
Depends: python3-anyio, ${misc:Depends}, ${python3:Depends}
Description: AsyncClick is a fork of Click that works well with trio or asyncio (Python 3)
 Click is a wrapper around optparse for command line utilities. AsyncClick is
 a fork that works well with trio or asyncio.
 .
 This package installs the library for Python 3.

=== debian/tests/control ===
Tests: unittests
Depends: python3-all, @, @builddeps@
Restrictions: allow-stderr

=== debian/watch ===
version=4
https://github.com/python-trio/asyncclick/tags \
  (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@

## python-asyncclick 8.1.7.2

=== debian/changelog ===
python-asyncclick (8.1.7.2-1) unstable; urgency=medium

  * New upstream version.
  * Remove 01-fix-readme-rst-typos.diff that fixed a typo
  * Add 01-fix-index-rst-typo.patch to fix a typo

 -- Carles Pina i Estany <carles@pina.cat>  Fri, 05 Jul 2024 22:57:27 +0200

## python-asyncclick 8.1.8.0+async

=== debian/changelog ===
python-asyncclick (8.1.8.0+async-1) unstable; urgency=medium

  * New upstream version.
  * Add new build dependencies: pybuild-plugin-pyproject, python3-flit-scm,
    python3-setuptools-scm and python3-trio.
  * Documentation: use upstream README.md (before was README.rst).
  * Remove patch 01-fix-readme-rst-typos.diff (not needed anymore).
  * Fix autopkgtest tests.
  * Update Standards-Version to 4.7.0, no changes needed.

 -- Carles Pina i Estany <carles@pina.cat>  Sun, 02 Feb 2025 08:09:47 +0100

=== debian/control ===
--- 
+++ 
@@ -6,12 +6,15 @@
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
+               pybuild-plugin-pyproject,
                python3-all,
                python3-anyio <!nocheck>,
+               python3-flit-scm,
                python3-pytest <!nocheck>,
                python3-setuptools,
-               python3-setuptools-scm
-Standards-Version: 4.6.2
+               python3-setuptools-scm,
+               python3-trio <!nocheck>
+Standards-Version: 4.7.0
 Homepage: https://github.com/python-trio/asyncclick
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-asyncclick
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-asyncclick.git

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=python-asyncclick

# Skipping a specific test that fails in upstream
export PYBUILD_TEST_ARGS=-k "not test_expand_args"

%:
	dh $@ --buildsystem=pybuild

=== debian/tests/control ===
Tests: unittests
Depends: python3-all, @, @builddeps@

## python-asyncclick 8.3.0.5+async

=== Makefile ===
#!/usr/bin/make -f

PACKAGE=asyncclick
ifneq ($(wildcard /usr/share/sourcemgr/make/py),)
include /usr/share/sourcemgr/make/py
# available via http://github.com/smurfix/sourcemgr

else
%:
	@echo "Please use 'python setup.py'."
	@exit 1
endif

=== debian/changelog ===
python-asyncclick (8.3.0.5+async-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)

 -- Emmanuel Arias <eamanu@debian.org>  Wed, 31 Dec 2025 23:51:15 -0300

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                python3-setuptools,
                python3-setuptools-scm,
                python3-trio <!nocheck>
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Homepage: https://github.com/python-trio/asyncclick
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-asyncclick
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-asyncclick.git
